const delay_by_in_ms = 700;
var scheduled_function = false;
var current_dragging_clipart_id = -1;
var currentClipartPage = 0;

// the content template for the info popover for the board preview
const infopopovercontent = '<div class="d-flex flex-column w-100" >' +
    '<div class="w-100 mb-1 ">' +
    '<img class="info_details_preview is-loading"></img>' +
    '</div>' +
    '<div class="w-100 mb-1 info_details_description"></div>' +
    '<div class="w-100 mb-1 "><span style="font-weight: bold">Tags:</span> <span class="info_details_tags"></span> </div>' +
    '<div class="w-100 mb-1 "><span style="font-weight: bold">Citations:</span> <span class="info_details_citations"></span></div>' +
    '</div>';

const initClipart = () => {
    console.log('initClipart')
    // add draggable functionality to clipart
    //console.log("clipart_dragoptions...", clipart_dragoptions);
    // $(".clipart_preview").draggabilly(clipart_dragoptions)
    // attach onchange event to clipart tags select box
    $('#new_element_clipart_tags').on("change", (e) => {
         //console.log('new_element_clipart_tags onchange')
        // clear selection
        //$("#new_element_clipart_col").empty();
        //$("#new_element_clipart_col").find('*').not('.permanent').remove();
        //getNewElementClipartFromTagsAndText($(this).val(), currentClipartPage);
        //getNewElementClipartFromTagsAndText();
        if (scheduled_function) {
            clearTimeout(scheduled_function)
        }
        /* Change the selected values */
        // var content = '';
        // $("#new_element_clipart_tags option:selected").each(function () {
        //     content += '<button class="search-option-btn">' + $(this).text() + '</button>'
        // });
        // $('#selectedTags').html(content);
        // setTimeout returns the ID of the function to be executed
        scheduled_function = setTimeout(getNewElementClipartFromTagsAndText, delay_by_in_ms, 0, true)

    });

    $('#new_element_clipart_text').on("keyup", (e) => {
        console.log('new_element_clipart_text keyup')
        // clear selection
        //$("#new_element_clipart_col").empty();
        if (scheduled_function) {
            clearTimeout(scheduled_function)
        }

// setTimeout returns the ID of the function to be executed
        scheduled_function = setTimeout(getNewElementClipartFromTagsAndText, delay_by_in_ms, 0, true)
        // $("#new_element_clipart_col").find('*').not('.permanent').remove();

    });

    //'Infinite scroll' on new clipart element
    $("#clipartImages").scroll(() => {
        if (!loading) {
            //page height
            // let scrollHeight = $("#new_element_clipart_col").height();
            let element = document.getElementById("clipartImages");
            //  console.log('element.offsetHeight:', element.offsetHeight)
            //  console.log('element.scrollTop is:', element.scrollTop)
            // console.log('element.scrollHeight is:', element.scrollHeight)
            // console.log('(element.offsetHeight + element.scrollTop) is:', (element.offsetHeight + element.scrollTop))
            if ((element.offsetHeight + element.scrollTop+10) > element.scrollHeight) {
              //  console.log('bottom!')
                getNewElementClipartFromTagsAndText(currentClipartPage++)
            }
            // let scrollHeight = .height();
            // //scroll position
            // let scrollPos = $("#clipartImages").height() + $("#clipartImages").scrollTop();
            // console.log('scrollHeight is:', scrollHeight)
            // console.log('scrollPos is:', scrollPos)
            // // fire if the scroll position is 300 pixels above the bottom of the page
            // if (((scrollHeight - 10) >= scrollPos) / scrollHeight == 0) {
            //  //   console.log('bottom!')
            //     //getNewElementClipartFromTagsAndText(currentClipartPage++)
            // }
        }
    });

    // informational popover on clipart
    $('body').popover({
        selector: '.clipart_preview_div:not(.ui-draggable-dragging)',
        html: true,
        animation: false,
        placement: 'right',
        trigger: 'hover',
        delay: {"show": 1000, "hide": 0},
        template: '<div class="popover" role="tooltip"><h3 class="popover-header"></h3><div class="popover-body"></div></div>',
        content: infopopovercontent,
        sanitize: false,
        boundary: 'window',
        container: 'body',
        offset: '0, 0',
        title: function () {
            return $(this).data('name')
        },
    }).on('shown.bs.popover', (e) => {
        //console.log(e);
        // remove other popovers
        // $('[data-toggle=popover]').not(this).popover('hide');
        //console.log('showing popover')
        // fill in popover details
        $(".info_details_preview").attr('src', $(e.target).data('src'));
        $(".info_details_description").html($(e.target).data('description'));
        $(".info_details_tags").html($(e.target).data('tags'));
        $(".info_details_citations").html($(e.target).data('citations'));
    });

    // initial clipart
    getNewElementClipartFromTagsAndText(0);
}


//Get the clipart into the 'new element'
const getNewElementClipartFromTagsAndText = (page, clear = false) => {
    //  console.log('getting page:' + page);

    if (clear) {
        $("#clipartImages").empty();
        $("#clipartImages").find('*').not('.permanent').remove();
    }
    let tags = $('#new_element_clipart_tags').val();
    let text = $('#new_element_clipart_text').val();
    //
    //   let page = currentClipartPage;
    //$("#selected_clipart_name").html();
//    console.log('loading...')
    let vars = [];
    loading = true;
    axios.get(baseurl + '/clipart/searchbytagsandtext', {params: {page: page, tags: tags, search: text}})
        .then((response) => {
            let newElements = '';
            let newDesignElements = '';
            response.data.items.forEach((item, index) => {
                //new design
                newDesignElements += '<li class="clipart_preview_div tiles" data-id="' + item.id + '" data-name="' + item.name + '" data-src="' + baseurl + '/clipart/thumb/' + item.id + '" data-description="' + item.description + '" data-citations="' + item.citations + '"  data-tags="' + item.formattedtags + '"> <img class="clipart_preview is-loading" src="' + baseurl + '/clipart/thumb/' + item.id + '" alt=""> </li>'

            });
            // $("#new_element_clipart_col").append($(newElements));
            $("#clipartImages").append($(newDesignElements));

            // show favrourite
            // $('.clipart_preview_div').on("mouseenter", (e) => {
            //
            // });

            $("#clipartImages").imagesLoaded()
                .progress(onProgress)
                .always(onAlways);

        }).catch((error) => {
        // console.log(error);
        alert('something went wrong with the load');
    }).finally(() => {
        loading = false;
    });
}

// triggered after each item is loaded
const onProgress = (imgLoad, image) => {
    // console.log('onProgress:')
    // console.log(image)
    // change class if the image is loaded or broken
    let $item = $(image.img);
    //  console.log("$item",$item);
    $item.removeClass('is-loading');

    if (!image.isLoaded) {
        $item.addClass('is-broken');
    } else {
        //    console.log($item.closest('.clipart_preview_div'));
        $item.closest('.clipart_preview_div').draggable({
            helper: "clone",
            revert: true,
            revertDuration: 0,
            zIndex: 1000000,
            containment: "#myCanvas"
        });
    }
    // update progress element
    //loadedImageCount++;
    //updateProgress( loadedImageCount );
}

// hide status when done
const onAlways = () => {
    console.log('onAlways says loading done')
    //$status.css({ opacity: 0 });
}

// add a clipart image from SVG
const addSVGClipart = (image_id, top, left) => {
    console.log('addSVGClipart says we are loading id:' + image_id)
    wait(true)
    $("#canvascontroltemplate").modal('hide');
    //var imgElement = fabric.loadSVGFromURL('{{URL::to('/colourway')}}/' + image_id, function (objects, options) {
    let imgElement = fabric.loadSVGFromURL(baseurl + '/clipart/svg/' + image_id + '/baseline', (objects, options, svgElements, d) => {
            let title = svgElements[0].nearestViewportElement.dataset.title;
            // console.log('Processing:');
            // console.log(svgElements[0].nearestViewportElement.dataset);
            // available colourways
            let available_colourways = svgElements[0].nearestViewportElement.dataset.colourways;
            console.log('available_colourways are:' + available_colourways)
            // make a group
            let obj = fabric.util.groupSVGElements(objects);
            obj.scaleX = 0.1;
            obj.scaleY = 0.1;
            // save the clipart ID, for if we swap it out later
            obj.clipart_id = image_id;
            // turn scale layer off
            let scaleObjs = [];

            // console.log(obj);
            if (typeof obj.getObjects === 'function') {
                obj.getObjects().forEach(function (o) {
                    //console.log(o)
                    if (o.is_scale) {
                        console.log('got a scale layer')
                        scaleObjs.push(o);
                        // o.visible = false;
                        obj.remove(o)
                    }
                });
            }
            //
            if (scaleObjs.length > 0) {
                let scaleGroup = new fabric.Group(scaleObjs)
                scaleGroup.set('name', 'scaleGroup');
                let center = scaleGroup.getCenterPoint();
                scaleGroup.set({
                    originX: 'center',
                    originY: 'center',
                    left: center.x,
                    top: center.y
                });
                scaleGroup.set('top', obj.get('flipY') ? -((obj.get('height') / 2) - (scaleGroup.get('width') / 2)) : ((obj.get('height') / 2) - (scaleGroup.get('width') / 2)))
                obj.add(scaleGroup)
                scaleGroup.set('visible', false);
                //   scaleGroup.adjustPosition('left')

            }
            obj.set('has_scale', (scaleObjs.length > 0));

            //scaleGroup['type'] = 'scale'
            //   obj['scaleGroup'] = scaleGroup;
            // save the colourway ID, for if we swap it out later
            obj.set('clipart_id', image_id);
            obj.set('colourway', 'baseline');
            obj.set('title', title)
            obj.set('available_colourways', available_colourways.split(','))
            obj.left = left / canvas.getZoom() + (obj.getScaledWidth() / 2);
            obj.top = top / canvas.getZoom() + (obj.getScaledHeight() / 2);
            // obj.scaleY= canvas.height / obj.getScaledWidth(),
            // obj.scaleX= canvas.width / obj.getScaledHeight()
            obj.set({originX: 'center', originY: 'center'});
            canvas.setActiveObject(obj);
            canvas.add(obj).renderAll();
            wait(false)
        },
// the reviver- a function that processes each item
        function (item, object) {
            //console.log(item.getAttribute('data-name'))
            object.set('is_scale', item.getAttribute('is_scale') == 'true');
        }

        // and add to a list on the side
        , {objectCaching: false});

}

const handleClipartSelectionClick = (myRadio) => {
    $("#selected_clipart_name").html(': ' + $(myRadio).data('name'));
    $("#add_clipart_btn").prop('disabled', false)
}

// const handleClipartSelectionOver = (img) => {
//     // console.log('mouseover')
//     $("#selected_clipart_detail_name").html($(img).data('name'));
//     $("#selected_clipart_detail_description").html($(img).data('description'));
//     $("#selected_clipart_detail_citation").html('<ul>');
//     $(img).data('citations').split(',').forEach((item, i) => {
//         $("#selected_clipart_detail_citation").append('<li>' + item + '</li>');
//     });
//     $("#selected_clipart_detail_citation").append('</ul>');
// }
// const handleClipartSelectionOut = (img) => {
//     if (!$("input[name='clipart_selection']:checked").val()) {
//         $("#selected_clipart_name").html('');
//     } else {
//         $("#selected_clipart_name").html(":" + $("input[name='clipart_selection']:checked").data('name'));
//     }
//
// }

//swap out the clipart- used for changing colourways
const swapClipart = (colourway_name) => {
        // get the current element
        let currentElement = canvas.getActiveObject();
        let clipart_id = currentElement.clipart_id
        currentElement.set({originX: 'center', originY: 'center'})
        //console.log(currentElement.clipart_id);
// get the relevant current element transform properties. It used to be easy, but it's been deprecated.
        let currentTransform
            = {
            top: currentElement.top,
            left: currentElement.left,
            scaleX: currentElement.scaleX,
            scaleY: currentElement.scaleY,
            angle: currentElement.angle,
            opacity: currentElement.opacity,
            flipX: currentElement.flipX,
            flipY: currentElement.flipY,
            scaleVisible: false
        }
        // is the scale visible?
        currentElement.getObjects().forEach(function (p) {
            if (p.get('name') == 'scaleGroup') {
                currentTransform.scaleVisible = p.get('visible')
            }
        });

        //What layer is it?
        let currentIndex = canvas.getObjects().indexOf(currentElement);
        //  console.log('Index is:' + currentIndex);

        // add a new image
        let imgElement = fabric.loadSVGFromURL(baseurl + '/clipart/svg/' + clipart_id + '/' + colourway_name, function (objects, options, svgElements) {

                let title = svgElements[0].nearestViewportElement.dataset.title;
                //   console.log('Processing:');
                //  console.log(svgElements[0].nearestViewportElement.dataset);
                // available colourways
                let available_colourways = svgElements[0].nearestViewportElement.dataset.colourways;
                // make a group
                let obj = fabric.util.groupSVGElements(objects);
                obj.scaleX = 0.3;
                obj.scaleY = 0.3;
                // save the clipart ID, for if we swap it out later
                //obj.clipart_id = image_id;
                // turn scale layer off
                let scaleObjs = [];

                //console.log(obj);
                obj.getObjects().forEach(function (o) {
                    //console.log(o)
                    if (o.is_scale) {
                        console.log('got a scale layer')
                        scaleObjs.push(o);
                        // o.visible = false;
                        obj.remove(o)
                    }
                });
                //
                if (scaleObjs.length > 0) {
                    let scaleGroup = new fabric.Group(scaleObjs)
                    scaleGroup.set('name', 'scaleGroup');
                    let center = scaleGroup.getCenterPoint();
                    scaleGroup.set({
                        originX: 'center',
                        originY: 'center',
                        left: center.x,
                        top: center.y
                    });
                    scaleGroup.set('top', obj.get('flipY') ? -((obj.get('height') / 2) - (scaleGroup.get('width') / 2)) : ((obj.get('height') / 2) - (scaleGroup.get('width') / 2)))

                    obj.add(scaleGroup)

                    //scaleGroup.adjustPosition('left')

                }
                obj.set('has_scale', (scaleObjs.length > 0));
                //scaleGroup.set('top', obj.get('flipY') ? -((obj.get('height') / 2) - (scaleGroup.get('width') / 2)) : ((obj.get('height') / 2) - (scaleGroup.get('width') / 2)))
                //obj.add(scaleGroup)
                obj.set('clipart_id', clipart_id);
                obj.set('colourway', colourway_name);
                obj.set('title', title)
                obj.set('available_colourways', available_colourways.split(','))
                obj.set({originX: 'center', originY: 'center'})
                // apply transform to new item
                obj.top = currentTransform.top;
                obj.left = currentTransform.left;
                obj.scaleX = currentTransform.scaleX;
                obj.scaleY = currentTransform.scaleY;
                obj.angle = currentTransform.angle;
                obj.opacity = currentTransform.opacity;
                obj.set('flipX', currentTransform.flipX);
                obj.set('flipY', currentTransform.flipY);
                obj.getObjects().forEach(function (p) {
                    if (p.get('name') == 'scaleGroup') {
                        p.set('visible', currentTransform.scaleVisible);
                        p.set('flipX', currentTransform.flipX);
                        p.set('flipY', currentTransform.flipY);
                    }
                })
                // remove the existing object
                // deleteSelected();
                canvas.insertAt(obj, currentIndex, true)
                // set the new item to be active
                canvas.setActiveObject(obj).requestRenderAll();
                // add it to the canvas
                //canvas.add(obj).requestRenderAll();
                // put into the z-index occupied by the previous colourway
                // obj.moveTo(currentIndex);
                // Fix scale group rotation
                canvas.getActiveObjects().forEach(function (o) {
                    if (typeof o.getObjects === 'function') {
                        o.getObjects().forEach(function (p) {
                            if (p.get('name') == 'scaleGroup') {
                                p.set('angle', (o.get('flipX') || o.get('flipY')) ? ((o.get('flipX') && o.get('flipY')) ? (0 - obj.angle) : (0 + obj.angle)) : 0 - obj.angle)
                            }
                        })
                    }
                })

            },
            // the reviver
            function (item, object) {
                object.set('is_scale', item.getAttribute('is_scale') == 'true');
            })

    }
;

const insertClipartFromButton = () => {
    let id = $("input[name='clipart_selection']:checked").val();
    $("#new_clipart_modal").modal('hide').on('hidden.bs.modal', function (e) {
        $("input[name='clipart_selection']:checked").removeAttr('checked');
        $("#add_clipart_btn").prop('disabled', true)
    }).modal('hide');
    addSVGClipart(id, 100, 100)
}


// supporting cleaner scrolling
const ENABLE_HOVER_DELAY = 500;
let timer;
document.getElementById('clipartImages').addEventListener('scroll', function () {
    const bodyClassList = document.body.classList;
    // clear previous timeout function
    clearTimeout(timer);
    if (!bodyClassList.contains('disable-hover')) {
        // add the disable-hover class to the body element
        bodyClassList.add('disable-hover');
    }

    timer = setTimeout(function () {
        // remove the disable-hover class after a timeout of 500 millis
        bodyClassList.remove('disable-hover');
    }, ENABLE_HOVER_DELAY);

}, false);

const clearClipartTags = function () {
    $("#clipartImages option:selected").prop("selected", false).trigger('change');
}
