<!DOCTYPE html>
@langrtl
<link rel="icon" type="image/png" href="{{ asset('img/favicon.png') }}" />
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}" dir="rtl">
@else
    <html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    @endlangrtl
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <meta name="csrf-token" content="{{ csrf_token() }}">
        <title>@yield('title', app_name())</title>
        <meta name="description" content="@yield('meta_description', 'Graphics et al framework')">
        <meta name="author" content="@yield('meta_author', 'Adam Landow')">
    @yield('meta')

    {{-- See https://laravel.com/docs/5.5/blade#stacks for usage --}}
    @stack('before-styles')

    <!-- Check if the language is set to RTL, so apply the RTL layouts -->
        <!-- Otherwise apply the normal LTR layouts -->
        <link href="{{ asset('css/frontend.css') }}" rel="stylesheet">

        <link href="https://cdn.jsdelivr.net/npm/select2@4.0.13/dist/css/select2.min.css" rel="stylesheet"/>

        {{--{{ style(subdirMix('public/css/frontend.css', 'public/')) }}--}}
        <link href="{{ asset('css/g_etal.css') }}" rel="stylesheet">
        <link href="{{ asset('css/dragula.min.css') }}" rel="stylesheet">

        <link href="{{ asset('css/styles.css') }}" rel="stylesheet">
        <link href="{{ asset('fonts/montserrat/stylesheet.css') }}" rel="stylesheet">
        <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-beta.1/dist/css/select2.min.css" rel="stylesheet"/>
        <link href="https://cdn.jsdelivr.net/npm/pretty-checkbox@3.0/dist/pretty-checkbox.min.css" rel="stylesheet"/>
        <link href="{{ asset('css/dropzone.min.css') }}" rel="stylesheet">
        @stack('after-styles')
    </head>
    <body
        style="background-image: url('{{asset('img/frontend/backgrounds/BGHeader-01.svg')}}');  background-position:top; background-color:#ffffff; background-repeat: no-repeat">
    @include('includes.partials.read-only')

    <div id="app" class="main-container">


        @include('includes.partials.logged-in-as')
        {{-- @include('frontend.includes.nav_minimal') --}}

        @yield('sidebar')
        <div class="container">

            @include('includes.partials.messages')
            @yield('content')
        </div><!-- container -->


    </div><!-- #app -->
    @yield('dialogs')
    <!-- Scripts -->
    @stack('before-scripts')
    <script src="{{ asset('js/manifest.js') }}"></script>
    <script src="{{ asset('js/vendor.js') }}"></script>
    <script src="{{ asset('js/frontend.js') }}"></script>
    <script src="https://cdn.jsdelivr.net/npm/select2@4.0.13/dist/js/select2.min.js"></script>
    <script type="text/javascript">
var Tawk_API=Tawk_API||{}, Tawk_LoadStart=new Date();
@isset(auth()->user()->id)
    Tawk_API.visitor = {
    name  : '{{auth()->user()->first_name}} {{auth()->user()->last_name}}',
    email : '{{auth()->user()->email}}'
};
@endisset

(function(){
var s1=document.createElement("script"),s0=document.getElementsByTagName("script")[0];
s1.async=true;
s1.src='https://embed.tawk.to/6026303f9c4f165d47c28ef0/1euaip0vh';
s1.charset='UTF-8';
s1.setAttribute('crossorigin','*');
s0.parentNode.insertBefore(s1,s0);
})();
</script>
    {{--{!! script(subdirMix('js/manifest.js')) !!}--}}
    {{--{!! script(subdirMix('js/vendor.js')) !!}--}}
    {{--{!! script(subdirMix('js/frontend.js')) !!}--}}
    @stack('after-scripts')

    {{--        @include('includes.partials.ga')--}}
    </body>

    </html>
