<?php

use App\Http\Controllers\Frontend\Board\BoardController;

use App\Http\Controllers\Frontend\Board\UserUploadedImageController;
use \App\Http\Controllers\Frontend\Graphics\BackgroundImageController;
use App\Http\Controllers\Frontend\Board\BoardFolderController;
use App\Http\Controllers\Frontend\Graphics\CustomGraphicsRequestController;
use App\Http\Controllers\Frontend\Graphics\CustomGraphicsRequestMediaController;
use App\Http\Controllers\Frontend\Graphics\CustomGraphicsRequestNotesController;

/*
 * Forum controllers
 * All route names are prefixed with 'frontend.'.
 */

/*
 * These frontend controllers require the user to be logged in
 * All route names are prefixed with 'frontend.'
 * These routes can not be hit if the password is expired
 */
Route::group(['middleware' => ['auth', 'password_expires']], function () {
// show all a given user's custom graphics requests
    Route::get('customgraphicsrequest', [CustomGraphicsRequestController::class, 'myRequestList'])->name('customgraphicsrequest.index');
    //show a single custom graphics request
    Route::get('customgraphicsrequest/{id}', [CustomGraphicsRequestController::class, 'viewFrontend'])->name('customgraphicsrequest.view');
    // make a new custom graphics request
    Route::post('customgraphicsrequest/store', [CustomGraphicsRequestController::class, 'store'])->name('customgraphicsrequest.store');

    // user uploaded media for the custom graphics request
    // create the media
    Route::post('customgraphicsrequest/storemedia', [CustomGraphicsRequestMediaController::class, 'store'])->name('customgraphicsrequest.storemedia');
// display the media
    Route::get('customgraphicsrequest/media/{id}/display', [CustomGraphicsRequestMediaController::class, 'display'])->name('customgraphicsrequest.displaymedia');;

    // notes
    // create
    Route::post('customgraphicsrequest/storenote', [CustomGraphicsRequestNotesController::class, 'store'])->name('customgraphicsrequest.storemedia');
// update
    Route::post('customgraphicsrequest/updatenote', [CustomGraphicsRequestNotesController::class, 'update'])->name('customgraphicsrequest.storemedia');

});
